SitePoint Sponsor

User Tag List

Results 1 to 11 of 11

Hybrid View

  1. #1
    ********* Wizard silver trophy Cam's Avatar
    Join Date
    Aug 2002
    Location
    Burpengary, Australia
    Posts
    4,495
    Mentioned
    0 Post(s)
    Tagged
    1 Thread(s)

    Compiling PHP5 on Linux

    Hi,

    I've tried numerous times to compile PHP5 on my Mandrake Linux 9 without success but tonight I hit pay dirt and successfully compiled Apache!!

    Now I have two problems. I don't know how to get rid of the old Apache that came bundled with my Linux distro and when I try to compile PHP5 the attached screenshot happens The configure line works fine and this is what I've used, very basic to start with
    Code:
    ./configure --with-apxs=/root/apache/bin/apxs
    Any ideas??

    Thanks
    Attached Images Attached Images

  2. #2
    ********* wombat firepages's Avatar
    Join Date
    Jul 2000
    Location
    Perth Australia
    Posts
    1,717
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    --disable-ctype


  3. #3
    Hi there! Owen's Avatar
    Join Date
    Jan 2000
    Location
    CA
    Posts
    1,165
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    To uninstall a program run:

    rpm -e apache

    You can run rpm -qa to seea list of all programs then search it to make sure you got all the apache parts. Or use the graphical DrakConfig (or something like that) to remove it.

    Owen

  4. #4
    ********* Wizard silver trophy Cam's Avatar
    Join Date
    Aug 2002
    Location
    Burpengary, Australia
    Posts
    4,495
    Mentioned
    0 Post(s)
    Tagged
    1 Thread(s)
    Thanks all

    I'll have a play and post back if I have any problems, also, can I set it up so in the configuration editor thing that has heaps of Apache options, I can control my new installation?

    I hope that was clear because it doesn't look like it from here

  5. #5
    ********* Wizard silver trophy Cam's Avatar
    Join Date
    Aug 2002
    Location
    Burpengary, Australia
    Posts
    4,495
    Mentioned
    0 Post(s)
    Tagged
    1 Thread(s)
    OK, I decided to try compiling PHP5 as a static Apache module and I followed the install instructions but got the attached error.
    Code:
    cd /root/apache
    ./configure
    
    cd ../php5
    ./configure --with-mysql --with-apache2=../apache
    make
    
    cd ../apache
    ./configure --prefix=/root/apache --activate-module=src/modules/php4/libphp4.a
    and there I get the error. Now I'm reading over the documentation again I noticed I missed a make install line This would probably fix the error but I'm going to post this anyway in case it doesn't

    Thanks
    Attached Images Attached Images

  6. #6
    Non-Member
    Join Date
    Jan 2003
    Posts
    5,748
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Just out of interest really; is there not a binaries available for PHP5 yet ?

    I see CVS and source only ?

  7. #7
    ********* Wizard silver trophy Cam's Avatar
    Join Date
    Aug 2002
    Location
    Burpengary, Australia
    Posts
    4,495
    Mentioned
    0 Post(s)
    Tagged
    1 Thread(s)
    There are binaries for Win32.

  8. #8
    Non-Member
    Join Date
    Jan 2003
    Posts
    5,748
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    What ? Where ?

    You just download the [EDIT] like any other PHP version to

    PHP Code:
    C:\PHP 
    And your laughing ? Is there a link by any chance ?





    [Advisor edit] Can you watch your language please, many young people visit these forums
    Last edited by seanf; May 25, 2003 at 06:24.

  9. #9
    ********* wombat firepages's Avatar
    Join Date
    Jul 2000
    Location
    Perth Australia
    Posts
    1,717
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

  10. #10
    Non-Member
    Join Date
    Jan 2003
    Posts
    5,748
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Advisor - Okay

    Although I did blank out the really bad bits didn't I ?


  11. #11
    ********* Wizard silver trophy Cam's Avatar
    Join Date
    Aug 2002
    Location
    Burpengary, Australia
    Posts
    4,495
    Mentioned
    0 Post(s)
    Tagged
    1 Thread(s)
    OK, I've got my MySQL and Apache 2.0.45 compiled and running nicely but PHP5 is being a bugger I keep getting parse errors in the MySQL bit so I didn't enable MySQL and then I got the same parse errors in array.c I thought maybe I had a bad CVS source so I downloaded a stable PHP4 source and got the exact same errors

    I'm following the instructions exactly from the manual. Any ideas?

    Thanks


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •